From db54b282726160cad2eed16bdacf6bac79b13944 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Sat, 12 May 2018 00:54:36 +0200
Subject: [PATCH] WIP ACPICA 20180508

---
 sys/contrib/dev/acpica/changes.txt            |  404 ++
 .../dev/acpica/generate/unix/Makefile.config  |    2 +-
 .../acpica/generate/unix/acpiexec/Makefile    |    3 +
 .../acpica/generate/unix/acpinames/Makefile   |    1 +
 .../dev/acpica/generate/unix/iasl/Makefile    |    8 +
 .../dev/acpica/source/common/acfileio.c       |    2 +-
 .../dev/acpica/source/common/acgetline.c      |    2 +-
 sys/contrib/dev/acpica/source/common/adfile.c |   62 +-
 .../dev/acpica/source/common/adisasm.c        |    6 +-
 sys/contrib/dev/acpica/source/common/adwalk.c |    2 +-
 sys/contrib/dev/acpica/source/common/ahids.c  |    2 +-
 .../dev/acpica/source/common/ahpredef.c       |    2 +-
 .../dev/acpica/source/common/ahtable.c        |    4 +-
 .../dev/acpica/source/common/ahuuids.c        |    2 +-
 .../dev/acpica/source/common/cmfsize.c        |    2 +-
 .../dev/acpica/source/common/dmextern.c       |    2 +-
 .../dev/acpica/source/common/dmrestag.c       |    2 +-
 .../dev/acpica/source/common/dmswitch.c       |    6 +-
 .../dev/acpica/source/common/dmtable.c        |   73 +-
 .../dev/acpica/source/common/dmtables.c       |    6 +-
 .../dev/acpica/source/common/dmtbdump.c       | 3547 +----------------
 .../dev/acpica/source/common/dmtbdump1.c      | 1542 +++++++
 .../dev/acpica/source/common/dmtbdump2.c      | 2074 ++++++++++
 .../dev/acpica/source/common/dmtbdump3.c      |  693 ++++
 .../dev/acpica/source/common/dmtbinfo.c       | 3024 +-------------
 .../dev/acpica/source/common/dmtbinfo1.c      | 1200 ++++++
 .../dev/acpica/source/common/dmtbinfo2.c      | 1541 +++++++
 .../dev/acpica/source/common/dmtbinfo3.c      |  733 ++++
 sys/contrib/dev/acpica/source/common/getopt.c |    2 +-
 .../dev/acpica/source/compiler/aslallocate.c  |  303 ++
 .../dev/acpica/source/compiler/aslanalyze.c   |    2 +-
 .../dev/acpica/source/compiler/aslascii.c     |    2 +-
 .../dev/acpica/source/compiler/aslbtypes.c    |    3 +-
 .../dev/acpica/source/compiler/aslcache.c     |  481 +++
 .../dev/acpica/source/compiler/aslcodegen.c   |   21 +-
 .../dev/acpica/source/compiler/aslcompile.c   |   70 +-
 .../dev/acpica/source/compiler/aslcompiler.h  |   82 +-
 .../dev/acpica/source/compiler/aslcompiler.l  |    6 +-
 .../dev/acpica/source/compiler/aslcstyle.y    |    2 +-
 .../dev/acpica/source/compiler/asldebug.c     |    6 +-
 .../dev/acpica/source/compiler/asldefine.h    |    4 +-
 .../dev/acpica/source/compiler/aslerror.c     |  791 ++--
 .../dev/acpica/source/compiler/aslexternal.c  |    2 +-
 .../dev/acpica/source/compiler/aslfileio.c    |    2 +-
 .../dev/acpica/source/compiler/aslfiles.c     |   11 +-
 .../dev/acpica/source/compiler/aslfold.c      |   56 +-
 .../dev/acpica/source/compiler/aslglobal.h    |    5 +-
 .../dev/acpica/source/compiler/aslhelp.c      |    3 +-
 .../dev/acpica/source/compiler/aslhelpers.y   |    2 +-
 .../dev/acpica/source/compiler/aslhex.c       |   25 +-
 .../dev/acpica/source/compiler/aslkeywords.y  |    2 +-
 .../dev/acpica/source/compiler/asllength.c    |    2 +-
 .../dev/acpica/source/compiler/asllisting.c   |    2 +-
 .../dev/acpica/source/compiler/asllistsup.c   |    2 +-
 .../dev/acpica/source/compiler/aslload.c      |  104 +-
 .../dev/acpica/source/compiler/asllookup.c    |    2 +-
 .../dev/acpica/source/compiler/aslmain.c      |    2 +-
 .../dev/acpica/source/compiler/aslmap.c       |    2 +-
 .../dev/acpica/source/compiler/aslmapenter.c  |    6 +-
 .../dev/acpica/source/compiler/aslmapoutput.c |    2 +-
 .../dev/acpica/source/compiler/aslmaputils.c  |    6 +-
 .../dev/acpica/source/compiler/aslmessages.c  |   14 +-
 .../dev/acpica/source/compiler/aslmessages.h  |    8 +-
 .../dev/acpica/source/compiler/aslmethod.c    |   45 +-
 .../dev/acpica/source/compiler/aslnamesp.c    |    2 +-
 .../dev/acpica/source/compiler/asloffset.c    |    2 +-
 .../dev/acpica/source/compiler/aslopcodes.c   |    2 +-
 .../dev/acpica/source/compiler/asloperands.c  |   21 +-
 .../dev/acpica/source/compiler/aslopt.c       |    4 +-
 .../dev/acpica/source/compiler/asloptions.c   |   31 +-
 .../dev/acpica/source/compiler/aslparseop.c   |   63 +-
 .../dev/acpica/source/compiler/aslparser.y    |    2 +-
 .../dev/acpica/source/compiler/aslpld.c       |    2 +-
 .../dev/acpica/source/compiler/aslpredef.c    |    2 +-
 .../dev/acpica/source/compiler/aslprepkg.c    |    2 +-
 .../dev/acpica/source/compiler/aslprimaries.y |    2 +-
 .../dev/acpica/source/compiler/aslprintf.c    |    6 +-
 .../dev/acpica/source/compiler/aslprune.c     |    2 +-
 .../dev/acpica/source/compiler/aslresource.c  |    2 +-
 .../dev/acpica/source/compiler/aslresources.y |    2 +-
 .../dev/acpica/source/compiler/aslrestype1.c  |    2 +-
 .../dev/acpica/source/compiler/aslrestype1i.c |    2 +-
 .../dev/acpica/source/compiler/aslrestype2.c  |    2 +-
 .../dev/acpica/source/compiler/aslrestype2d.c |    2 +-
 .../dev/acpica/source/compiler/aslrestype2e.c |    2 +-
 .../dev/acpica/source/compiler/aslrestype2q.c |    2 +-
 .../dev/acpica/source/compiler/aslrestype2s.c |    2 +-
 .../dev/acpica/source/compiler/aslrestype2w.c |    2 +-
 .../dev/acpica/source/compiler/aslrules.y     |    2 +-
 .../dev/acpica/source/compiler/aslstartup.c   |   10 +-
 .../dev/acpica/source/compiler/aslstubs.c     |    2 +-
 .../dev/acpica/source/compiler/aslsupport.l   |   24 +-
 .../dev/acpica/source/compiler/aslsupport.y   |    2 +-
 .../dev/acpica/source/compiler/asltokens.y    |    2 +-
 .../dev/acpica/source/compiler/asltransform.c |    2 +-
 .../dev/acpica/source/compiler/asltree.c      |   10 +-
 .../dev/acpica/source/compiler/asltypes.h     |   14 +-
 .../dev/acpica/source/compiler/asltypes.y     |    2 +-
 .../dev/acpica/source/compiler/aslutils.c     |  316 +-
 .../dev/acpica/source/compiler/asluuid.c      |    2 +-
 .../dev/acpica/source/compiler/aslwalks.c     |    2 +-
 .../dev/acpica/source/compiler/aslxref.c      |  222 +-
 .../dev/acpica/source/compiler/aslxrefout.c   |    2 +-
 .../dev/acpica/source/compiler/cvcompiler.c   |   28 +-
 .../dev/acpica/source/compiler/cvdisasm.c     |    6 +-
 .../dev/acpica/source/compiler/cvparser.c     |   10 +-
 .../dev/acpica/source/compiler/dtcompile.c    |   38 +-
 .../dev/acpica/source/compiler/dtcompiler.h   |   38 +-
 .../dev/acpica/source/compiler/dtexpress.c    |   45 +-
 .../dev/acpica/source/compiler/dtfield.c      |    3 +-
 sys/contrib/dev/acpica/source/compiler/dtio.c |    7 +-
 .../dev/acpica/source/compiler/dtparser.l     |   60 +-
 .../dev/acpica/source/compiler/dtparser.y     |  105 +-
 .../dev/acpica/source/compiler/dtsubtable.c   |    5 +-
 .../dev/acpica/source/compiler/dttable.c      |   19 +-
 .../dev/acpica/source/compiler/dttable1.c     |  131 +-
 .../dev/acpica/source/compiler/dttable2.c     |  478 ++-
 .../dev/acpica/source/compiler/dttemplate.c   |    5 +-
 .../dev/acpica/source/compiler/dttemplate.h   |  117 +-
 .../dev/acpica/source/compiler/dtutils.c      |  155 +-
 .../dev/acpica/source/compiler/preprocess.h   |    2 +-
 .../dev/acpica/source/compiler/prexpress.c    |    4 +-
 .../dev/acpica/source/compiler/prmacros.c     |    4 +-
 .../dev/acpica/source/compiler/prparser.l     |    2 +-
 .../dev/acpica/source/compiler/prparser.y     |    3 +-
 .../dev/acpica/source/compiler/prscan.c       |    5 +-
 .../dev/acpica/source/compiler/prutils.c      |    6 +-
 .../source/components/debugger/dbcmds.c       |    2 +-
 .../source/components/debugger/dbconvert.c    |    2 +-
 .../source/components/debugger/dbdisply.c     |    7 +-
 .../source/components/debugger/dbexec.c       |  126 +-
 .../source/components/debugger/dbfileio.c     |    4 +-
 .../source/components/debugger/dbhistry.c     |    2 +-
 .../source/components/debugger/dbinput.c      |  207 +-
 .../source/components/debugger/dbmethod.c     |    2 +-
 .../source/components/debugger/dbnames.c      |   15 +-
 .../source/components/debugger/dbobject.c     |    2 +-
 .../source/components/debugger/dbstats.c      |    2 +-
 .../source/components/debugger/dbtest.c       |   69 +-
 .../source/components/debugger/dbutils.c      |    2 +-
 .../source/components/debugger/dbxface.c      |    2 +-
 .../source/components/disassembler/dmbuffer.c |    2 +-
 .../source/components/disassembler/dmcstyle.c |    2 +-
 .../components/disassembler/dmdeferred.c      |    2 +-
 .../source/components/disassembler/dmnames.c  |    2 +-
 .../source/components/disassembler/dmopcode.c |    2 +-
 .../source/components/disassembler/dmresrc.c  |    2 +-
 .../source/components/disassembler/dmresrcl.c |    2 +-
 .../components/disassembler/dmresrcl2.c       |    2 +-
 .../source/components/disassembler/dmresrcs.c |    2 +-
 .../source/components/disassembler/dmutils.c  |    2 +-
 .../source/components/disassembler/dmwalk.c   |    8 +-
 .../source/components/dispatcher/dsargs.c     |    3 +-
 .../source/components/dispatcher/dscontrol.c  |   19 +-
 .../source/components/dispatcher/dsdebug.c    |    2 +-
 .../source/components/dispatcher/dsfield.c    |   29 +-
 .../source/components/dispatcher/dsinit.c     |    2 +-
 .../source/components/dispatcher/dsmethod.c   |    2 +-
 .../source/components/dispatcher/dsmthdat.c   |    2 +-
 .../source/components/dispatcher/dsobject.c   |    5 +-
 .../source/components/dispatcher/dsopcode.c   |    6 +-
 .../source/components/dispatcher/dspkginit.c  |  185 +-
 .../source/components/dispatcher/dsutils.c    |    5 +-
 .../source/components/dispatcher/dswexec.c    |    6 +-
 .../source/components/dispatcher/dswload.c    |    8 +-
 .../source/components/dispatcher/dswload2.c   |   14 +-
 .../source/components/dispatcher/dswscope.c   |   11 +-
 .../source/components/dispatcher/dswstate.c   |    2 +-
 .../acpica/source/components/events/evevent.c |   11 +-
 .../acpica/source/components/events/evglock.c |    2 +-
 .../acpica/source/components/events/evgpe.c   |  240 +-
 .../source/components/events/evgpeblk.c       |   22 +-
 .../source/components/events/evgpeinit.c      |    2 +-
 .../source/components/events/evgpeutil.c      |    2 +-
 .../source/components/events/evhandler.c      |    2 +-
 .../acpica/source/components/events/evmisc.c  |    2 +-
 .../source/components/events/evregion.c       |   13 +-
 .../source/components/events/evrgnini.c       |    7 +-
 .../acpica/source/components/events/evsci.c   |    2 +-
 .../acpica/source/components/events/evxface.c |   11 +-
 .../source/components/events/evxfevnt.c       |    2 +-
 .../acpica/source/components/events/evxfgpe.c |   33 +-
 .../source/components/events/evxfregn.c       |    2 +-
 .../source/components/executer/exconcat.c     |    2 +-
 .../source/components/executer/exconfig.c     |   12 +-
 .../source/components/executer/exconvrt.c     |    3 +-
 .../source/components/executer/excreate.c     |    2 +-
 .../source/components/executer/exdebug.c      |    9 +-
 .../source/components/executer/exdump.c       |    8 +-
 .../source/components/executer/exfield.c      |    2 +-
 .../source/components/executer/exfldio.c      |    2 +-
 .../source/components/executer/exmisc.c       |    2 +-
 .../source/components/executer/exmutex.c      |    2 +-
 .../source/components/executer/exnames.c      |    9 +-
 .../source/components/executer/exoparg1.c     |    2 +-
 .../source/components/executer/exoparg2.c     |    2 +-
 .../source/components/executer/exoparg3.c     |    2 +-
 .../source/components/executer/exoparg6.c     |    2 +-
 .../source/components/executer/exprep.c       |    2 +-
 .../source/components/executer/exregion.c     |    2 +-
 .../source/components/executer/exresnte.c     |    2 +-
 .../source/components/executer/exresolv.c     |    2 +-
 .../source/components/executer/exresop.c      |    3 +-
 .../source/components/executer/exstore.c      |    2 +-
 .../source/components/executer/exstoren.c     |    2 +-
 .../source/components/executer/exstorob.c     |    2 +-
 .../source/components/executer/exsystem.c     |    2 +-
 .../source/components/executer/extrace.c      |    2 +-
 .../source/components/executer/exutils.c      |    2 +-
 .../source/components/hardware/hwacpi.c       |    2 +-
 .../source/components/hardware/hwesleep.c     |    2 +-
 .../acpica/source/components/hardware/hwgpe.c |    3 +-
 .../acpica/source/components/hardware/hwpci.c |    2 +-
 .../source/components/hardware/hwregs.c       |    2 +-
 .../source/components/hardware/hwsleep.c      |   14 +-
 .../source/components/hardware/hwtimer.c      |   29 +-
 .../source/components/hardware/hwvalid.c      |   19 +-
 .../source/components/hardware/hwxface.c      |    2 +-
 .../source/components/hardware/hwxfsleep.c    |    4 +-
 .../source/components/namespace/nsaccess.c    |   16 +-
 .../source/components/namespace/nsalloc.c     |    2 +-
 .../source/components/namespace/nsarguments.c |    2 +-
 .../source/components/namespace/nsconvert.c   |    5 +-
 .../source/components/namespace/nsdump.c      |    2 +-
 .../source/components/namespace/nsdumpdv.c    |    7 +-
 .../source/components/namespace/nseval.c      |   37 +-
 .../source/components/namespace/nsinit.c      |   81 +-
 .../source/components/namespace/nsload.c      |   26 +-
 .../source/components/namespace/nsnames.c     |  177 +-
 .../source/components/namespace/nsobject.c    |    2 +-
 .../source/components/namespace/nsparse.c     |   36 +-
 .../source/components/namespace/nspredef.c    |    2 +-
 .../source/components/namespace/nsprepkg.c    |    2 +-
 .../source/components/namespace/nsrepair.c    |    2 +-
 .../source/components/namespace/nsrepair2.c   |    2 +-
 .../source/components/namespace/nssearch.c    |    3 +-
 .../source/components/namespace/nsutils.c     |    2 +-
 .../source/components/namespace/nswalk.c      |    2 +-
 .../source/components/namespace/nsxfeval.c    |   20 +-
 .../source/components/namespace/nsxfname.c    |   24 +-
 .../source/components/namespace/nsxfobj.c     |    2 +-
 .../acpica/source/components/parser/psargs.c  |   14 +-
 .../acpica/source/components/parser/psloop.c  |   30 +-
 .../source/components/parser/psobject.c       |   17 +-
 .../source/components/parser/psopcode.c       |    2 +-
 .../source/components/parser/psopinfo.c       |    2 +-
 .../acpica/source/components/parser/psparse.c |    4 +-
 .../acpica/source/components/parser/psscope.c |    2 +-
 .../acpica/source/components/parser/pstree.c  |    3 +-
 .../acpica/source/components/parser/psutils.c |   12 +-
 .../acpica/source/components/parser/pswalk.c  |    2 +-
 .../acpica/source/components/parser/psxface.c |    2 +-
 .../source/components/resources/rsaddr.c      |    2 +-
 .../source/components/resources/rscalc.c      |    2 +-
 .../source/components/resources/rscreate.c    |    2 +-
 .../source/components/resources/rsdump.c      |    4 +-
 .../source/components/resources/rsdumpinfo.c  |    2 +-
 .../source/components/resources/rsinfo.c      |    2 +-
 .../acpica/source/components/resources/rsio.c |    2 +-
 .../source/components/resources/rsirq.c       |    2 +-
 .../source/components/resources/rslist.c      |    2 +-
 .../source/components/resources/rsmemory.c    |    2 +-
 .../source/components/resources/rsmisc.c      |    2 +-
 .../source/components/resources/rsserial.c    |    2 +-
 .../source/components/resources/rsutils.c     |    2 +-
 .../source/components/resources/rsxface.c     |    2 +-
 .../acpica/source/components/tables/tbdata.c  |   20 +-
 .../acpica/source/components/tables/tbfadt.c  |    2 +-
 .../acpica/source/components/tables/tbfind.c  |    2 +-
 .../source/components/tables/tbinstal.c       |   10 +-
 .../acpica/source/components/tables/tbprint.c |    2 +-
 .../acpica/source/components/tables/tbutils.c |    2 +-
 .../acpica/source/components/tables/tbxface.c |    2 +-
 .../source/components/tables/tbxfload.c       |   15 +-
 .../source/components/tables/tbxfroot.c       |    2 +-
 .../source/components/utilities/utaddress.c   |    2 +-
 .../source/components/utilities/utalloc.c     |    2 +-
 .../source/components/utilities/utascii.c     |    2 +-
 .../source/components/utilities/utbuffer.c    |    6 +-
 .../source/components/utilities/utcache.c     |    7 +-
 .../source/components/utilities/utclib.c      |    2 +-
 .../source/components/utilities/utcopy.c      |    2 +-
 .../source/components/utilities/utdebug.c     |   21 +-
 .../source/components/utilities/utdecode.c    |   13 +-
 .../source/components/utilities/utdelete.c    |   18 +-
 .../source/components/utilities/uterror.c     |   80 +-
 .../source/components/utilities/uteval.c      |    2 +-
 .../source/components/utilities/utexcep.c     |    2 +-
 .../source/components/utilities/utglobal.c    |    2 +-
 .../source/components/utilities/uthex.c       |    2 +-
 .../source/components/utilities/utids.c       |    2 +-
 .../source/components/utilities/utinit.c      |    3 +-
 .../source/components/utilities/utlock.c      |    2 +-
 .../source/components/utilities/utmath.c      |    6 +-
 .../source/components/utilities/utmisc.c      |    2 +-
 .../source/components/utilities/utmutex.c     |    9 +-
 .../source/components/utilities/utnonansi.c   |   17 +-
 .../source/components/utilities/utobject.c    |    2 +-
 .../source/components/utilities/utosi.c       |    5 +-
 .../source/components/utilities/utownerid.c   |    2 +-
 .../source/components/utilities/utpredef.c    |    2 +-
 .../source/components/utilities/utprint.c     |    3 +-
 .../source/components/utilities/utresdecode.c |    2 +-
 .../source/components/utilities/utresrc.c     |    2 +-
 .../source/components/utilities/utstate.c     |    2 +-
 .../source/components/utilities/utstring.c    |    4 +-
 .../source/components/utilities/utstrsuppt.c  |   36 +-
 .../source/components/utilities/utstrtoul64.c |    2 +-
 .../source/components/utilities/uttrack.c     |    7 +-
 .../source/components/utilities/utuuid.c      |    2 +-
 .../source/components/utilities/utxface.c     |    2 +-
 .../source/components/utilities/utxferror.c   |   10 +-
 .../source/components/utilities/utxfinit.c    |   50 +-
 .../source/components/utilities/utxfmutex.c   |    2 +-
 .../dev/acpica/source/include/acapps.h        |   11 +-
 .../dev/acpica/source/include/acbuffer.h      |    2 +-
 .../dev/acpica/source/include/acclib.h        |    2 +-
 .../dev/acpica/source/include/accommon.h      |    2 +-
 .../dev/acpica/source/include/acconfig.h      |    6 +-
 .../dev/acpica/source/include/acconvert.h     |    2 +-
 .../dev/acpica/source/include/acdebug.h       |    8 +-
 .../dev/acpica/source/include/acdisasm.h      |   30 +-
 .../dev/acpica/source/include/acdispat.h      |    2 +-
 .../dev/acpica/source/include/acevents.h      |   23 +-
 .../dev/acpica/source/include/acexcep.h       |   12 +-
 .../dev/acpica/source/include/acglobal.h      |  123 +-
 .../dev/acpica/source/include/achware.h       |    2 +-
 .../dev/acpica/source/include/acinterp.h      |    2 +-
 .../dev/acpica/source/include/aclocal.h       |   28 +-
 .../dev/acpica/source/include/acmacros.h      |    8 +-
 .../dev/acpica/source/include/acnames.h       |    9 +-
 .../dev/acpica/source/include/acnamesp.h      |   13 +-
 .../dev/acpica/source/include/acobject.h      |    2 +-
 .../dev/acpica/source/include/acopcode.h      |   16 +-
 .../dev/acpica/source/include/acoutput.h      |    2 +-
 .../dev/acpica/source/include/acparser.h      |    2 +-
 sys/contrib/dev/acpica/source/include/acpi.h  |    2 +-
 .../dev/acpica/source/include/acpiosxf.h      |    2 +-
 .../dev/acpica/source/include/acpixf.h        |   29 +-
 .../dev/acpica/source/include/acpredef.h      |    2 +-
 .../dev/acpica/source/include/acresrc.h       |    2 +-
 .../dev/acpica/source/include/acrestyp.h      |    2 +-
 .../dev/acpica/source/include/acstruct.h      |    2 +-
 .../dev/acpica/source/include/actables.h      |    2 +-
 .../dev/acpica/source/include/actbinfo.h      |  411 ++
 sys/contrib/dev/acpica/source/include/actbl.h |    2 +-
 .../dev/acpica/source/include/actbl1.h        | 2419 +++++------
 .../dev/acpica/source/include/actbl2.h        | 2613 ++++++------
 .../dev/acpica/source/include/actbl3.h        | 1138 +++---
 .../dev/acpica/source/include/actypes.h       |   43 +-
 .../dev/acpica/source/include/acutils.h       |   24 +-
 .../dev/acpica/source/include/acuuid.h        |    2 +-
 .../dev/acpica/source/include/amlcode.h       |   23 +-
 .../dev/acpica/source/include/amlresrc.h      |    2 +-
 .../acpica/source/include/platform/accygwin.h |    2 +-
 .../source/include/platform/acdragonflyex.h   |    2 +-
 .../acpica/source/include/platform/acefi.h    |    2 +-
 .../acpica/source/include/platform/acefiex.h  |    2 +-
 .../acpica/source/include/platform/acenv.h    |    2 +-
 .../acpica/source/include/platform/acenvex.h  |    2 +-
 .../source/include/platform/acfreebsd.h       |    2 +-
 .../acpica/source/include/platform/acgcc.h    |    2 +-
 .../acpica/source/include/platform/acgccex.h  |    2 +-
 .../acpica/source/include/platform/achaiku.h  |    2 +-
 .../acpica/source/include/platform/acintel.h  |    2 +-
 .../acpica/source/include/platform/aclinux.h  |    6 +-
 .../source/include/platform/aclinuxex.h       |    2 +-
 .../acpica/source/include/platform/acmacosx.h |    2 +-
 .../acpica/source/include/platform/acmsvc.h   |    2 +-
 .../acpica/source/include/platform/acmsvcex.h |    2 +-
 .../acpica/source/include/platform/acnetbsd.h |    2 +-
 .../acpica/source/include/platform/acos2.h    |    2 +-
 .../acpica/source/include/platform/acqnx.h    |    2 +-
 .../acpica/source/include/platform/acwin.h    |    2 +-
 .../acpica/source/include/platform/acwin64.h  |    2 +-
 .../os_specific/service_layers/osbsdtbl.c     |    2 +-
 .../os_specific/service_layers/osgendbg.c     |    5 +-
 .../os_specific/service_layers/oslinuxtbl.c   |    2 +-
 .../os_specific/service_layers/osunixdir.c    |    2 +-
 .../os_specific/service_layers/osunixmap.c    |    2 +-
 .../os_specific/service_layers/osunixxf.c     |    2 +-
 .../os_specific/service_layers/oswindir.c     |    2 +-
 .../os_specific/service_layers/oswintbl.c     |    2 +-
 .../os_specific/service_layers/oswinxf.c      |    2 +-
 .../acpica/source/tools/acpibin/abcompare.c   |    2 +-
 .../dev/acpica/source/tools/acpibin/abmain.c  |   24 +-
 .../dev/acpica/source/tools/acpibin/acpibin.h |    2 +-
 .../acpica/source/tools/acpidump/acpidump.h   |    2 +-
 .../dev/acpica/source/tools/acpidump/apdump.c |    2 +-
 .../acpica/source/tools/acpidump/apfiles.c    |    2 +-
 .../dev/acpica/source/tools/acpidump/apmain.c |   28 +-
 .../acpica/source/tools/acpiexec/aecommon.h   |   83 +-
 .../source/tools/acpiexec/aeexception.c       |   24 +-
 .../dev/acpica/source/tools/acpiexec/aeexec.c |  512 +--
 .../acpica/source/tools/acpiexec/aehandlers.c |   18 +-
 .../acpica/source/tools/acpiexec/aeinitfile.c |    2 +-
 .../acpica/source/tools/acpiexec/aeinstall.c  |  457 +++
 .../dev/acpica/source/tools/acpiexec/aemain.c |  150 +-
 .../acpica/source/tools/acpiexec/aeregion.c   |  280 +-
 .../acpica/source/tools/acpiexec/aetables.c   |   18 +-
 .../acpica/source/tools/acpiexec/aetables.h   |    2 +-
 .../acpica/source/tools/acpiexec/aetests.c    |  596 +++
 .../acpica/source/tools/acpihelp/acpihelp.h   |    4 +-
 .../dev/acpica/source/tools/acpihelp/ahaml.c  |    2 +-
 .../acpica/source/tools/acpihelp/ahamlops.c   |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahasl.c  |    2 +-
 .../acpica/source/tools/acpihelp/ahaslkey.c   |    2 +-
 .../acpica/source/tools/acpihelp/ahaslops.c   |    2 +-
 .../acpica/source/tools/acpihelp/ahdecode.c   |    4 +-
 .../acpica/source/tools/acpihelp/ahgrammar.c  |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahmain.c |   23 +-
 .../acpica/source/tools/acpinames/acpinames.h |    2 +-
 .../acpica/source/tools/acpinames/anmain.c    |   65 +-
 .../acpica/source/tools/acpinames/anstubs.c   |   45 +-
 .../acpica/source/tools/acpinames/antables.c  |    8 +-
 .../dev/acpica/source/tools/acpisrc/acpisrc.h |   12 +-
 .../dev/acpica/source/tools/acpisrc/ascase.c  |    2 +-
 .../acpica/source/tools/acpisrc/asconvrt.c    |   41 +-
 .../dev/acpica/source/tools/acpisrc/asfile.c  |    9 +-
 .../dev/acpica/source/tools/acpisrc/asmain.c  |    8 +-
 .../acpica/source/tools/acpisrc/asremove.c    |    2 +-
 .../dev/acpica/source/tools/acpisrc/astable.c |   34 +-
 .../dev/acpica/source/tools/acpisrc/asutils.c |   11 +-
 .../source/tools/acpixtract/acpixtract.c      |  246 +-
 .../source/tools/acpixtract/acpixtract.h      |   39 +-
 .../acpica/source/tools/acpixtract/axmain.c   |   32 +-
 .../acpica/source/tools/acpixtract/axutils.c  |  419 +-
 .../acpica/source/tools/efihello/efihello.c   |    2 +-
 .../acpica/source/tools/examples/examples.c   |   16 +-
 .../acpica/source/tools/examples/examples.h   |    2 +-
 .../acpica/source/tools/examples/exstubs.c    |    2 +-
 .../acpica/source/tools/examples/extables.c   |    2 +-
 sys/contrib/dev/acpica/tests/misc/badcode.asl |    1 -
 .../dev/acpica/tests/misc/converterSample.asl |    3 +-
 sys/contrib/dev/acpica/tests/misc/grammar.asl |   33 +-
 sys/dev/acpica/acpi.c                         |   42 +-
 usr.sbin/acpi/acpibin/acpibin.8               |    8 +-
 usr.sbin/acpi/acpidump/acpidump.8             |    4 +-
 usr.sbin/acpi/acpiexec/Makefile               |    5 +-
 usr.sbin/acpi/acpiexec/acpiexec.8             |   16 +-
 usr.sbin/acpi/acpihelp/acpihelp.8             |    4 +-
 usr.sbin/acpi/acpinames/Makefile              |    1 +
 usr.sbin/acpi/acpinames/acpinames.8           |    4 +-
 usr.sbin/acpi/acpixtract/acpixtract.8         |    6 +-
 usr.sbin/acpi/iasl/Makefile                   |    8 +
 445 files changed, 18436 insertions(+), 13378 deletions(-)
 create mode 100644 sys/contrib/dev/acpica/source/common/dmtbdump1.c
 create mode 100644 sys/contrib/dev/acpica/source/common/dmtbdump2.c
 create mode 100644 sys/contrib/dev/acpica/source/common/dmtbdump3.c
 create mode 100644 sys/contrib/dev/acpica/source/common/dmtbinfo1.c
 create mode 100644 sys/contrib/dev/acpica/source/common/dmtbinfo2.c
 create mode 100644 sys/contrib/dev/acpica/source/common/dmtbinfo3.c
 create mode 100644 sys/contrib/dev/acpica/source/compiler/aslallocate.c
 create mode 100644 sys/contrib/dev/acpica/source/compiler/aslcache.c
 create mode 100644 sys/contrib/dev/acpica/source/include/actbinfo.h
 create mode 100644 sys/contrib/dev/acpica/source/tools/acpiexec/aeinstall.c
 create mode 100644 sys/contrib/dev/acpica/source/tools/acpiexec/aetests.c

diff --git a/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile b/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
index 681442c375..9118397d5d 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
@@ -45,9 +45,11 @@ OBJECTS = \
 	$(OBJDIR)/aeexception.o\
 	$(OBJDIR)/aehandlers.o\
 	$(OBJDIR)/aeinitfile.o\
+	$(OBJDIR)/aeinstall.o\
 	$(OBJDIR)/aemain.o\
 	$(OBJDIR)/aeregion.o\
 	$(OBJDIR)/aetables.o\
+	$(OBJDIR)/aetests.o\
 	$(OBJDIR)/ahids.o\
 	$(OBJDIR)/ahuuids.o\
 	$(OBJDIR)/cmfsize.o\
@@ -140,6 +142,7 @@ OBJECTS = \
 	$(OBJDIR)/hwpci.o\
 	$(OBJDIR)/hwregs.o\
 	$(OBJDIR)/hwsleep.o\
+	$(OBJDIR)/hwtimer.o\
 	$(OBJDIR)/hwvalid.o\
 	$(OBJDIR)/hwxface.o\
 	$(OBJDIR)/hwxfsleep.o\
diff --git a/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile b/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile
index 7bc69e86e5..db87d8840e 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile
@@ -113,6 +113,7 @@ OBJECTS = \
 	$(OBJDIR)/utmath.o\
 	$(OBJDIR)/utmisc.o\
 	$(OBJDIR)/utmutex.o\
+	$(OBJDIR)/utnonansi.o\
 	$(OBJDIR)/utobject.o\
 	$(OBJDIR)/utosi.o\
 	$(OBJDIR)/utownerid.o\
diff --git a/sys/contrib/dev/acpica/generate/unix/iasl/Makefile b/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
index 02390ea1c9..98dac7131d 100644
--- a/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
@@ -51,9 +51,11 @@ OBJECTS = \
 	$(OBJDIR)/ahpredef.o\
 	$(OBJDIR)/ahtable.o\
 	$(OBJDIR)/ahuuids.o\
+	$(OBJDIR)/aslallocate.o\
 	$(OBJDIR)/aslanalyze.o\
 	$(OBJDIR)/aslascii.o\
 	$(OBJDIR)/aslbtypes.o\
+	$(OBJDIR)/aslcache.o\
 	$(OBJDIR)/aslcodegen.o\
 	$(OBJDIR)/aslcompile.o\
 	$(OBJDIR)/asldebug.o\
@@ -126,7 +128,13 @@ OBJECTS = \
 	$(OBJDIR)/dmtable.o\
 	$(OBJDIR)/dmtables.o\
 	$(OBJDIR)/dmtbdump.o\
+	$(OBJDIR)/dmtbdump1.o\
+	$(OBJDIR)/dmtbdump2.o\
+	$(OBJDIR)/dmtbdump3.o\
 	$(OBJDIR)/dmtbinfo.o\
+	$(OBJDIR)/dmtbinfo1.o\
+	$(OBJDIR)/dmtbinfo2.o\
+	$(OBJDIR)/dmtbinfo3.o\
 	$(OBJDIR)/dmutils.o\
 	$(OBJDIR)/dmwalk.o\
 	$(OBJDIR)/dsargs.o\
diff --git a/sys/contrib/dev/acpica/source/common/acfileio.c b/sys/contrib/dev/acpica/source/common/acfileio.c
index a4e227a67b..8aabeb4369 100644
--- a/sys/contrib/dev/acpica/source/common/acfileio.c
+++ b/sys/contrib/dev/acpica/source/common/acfileio.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/common/acgetline.c b/sys/contrib/dev/acpica/source/common/acgetline.c
index eda4ea7094..d0e1e0a756 100644
--- a/sys/contrib/dev/acpica/source/common/acgetline.c
+++ b/sys/contrib/dev/acpica/source/common/acgetline.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
